| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
RootHistCnv::RootObjAddress Class Reference

`#include <src/RootObjAddress.h>`

Inheritance diagram for RootHistCnv::RootObjAddress:
[legend]
Collaboration diagram for RootHistCnv::RootObjAddress:
[legend]

## Public Member Functions
| RootObjAddress ()
| Dummy constructor. More...
| RootObjAddress (const RootObjAddress &copy)
| RootObjAddress (long svc, const CLID &clid, const std::string &p1="", const std::string &p2="", unsigned long ip1=0, unsigned long ip2=0, TObject *tObj=0)
| Standard Constructor. More...
virtual | ~RootObjAddress ()=default
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
virtual IRegistry * | registry () const
| Pointer to directory. More...
virtual void | setRegistry (IRegistry *pRegistry)
| Set pointer to directory. More...
virtual const CLID & | clID () const
| Access : Retrieve class ID of the link. More...
virtual void | setClID (const CLID &clid)
| Access : Set class ID of the link. More...
virtual long | svcType () const
| Access : retrieve the storage type of the class id. More...
virtual void | setSvcType (long typ)
| Access : set the storage type of the class id. More...
virtual const std::string * | par () const
| Retrieve string parameters. More...
virtual const unsigned long * | ipar () const
| Retrieve integer parameters. More...
virtual TObject * | tObj () const
| Retrieve TObject* ptr. More...
Public Member Functions inherited from IOpaqueAddress
virtual | ~IOpaqueAddress ()=default
| destructor More...

## Protected Attributes
unsigned long | m_refCount
long | m_svcType
| Storage type. More...
CLID | m_clID
| Class id. More...
std::string | m_par [2]
| String parameters to be accessed. More...
unsigned long | m_ipar [2]
| Integer parameters to be accessed. More...
IRegistry * | m_pRegistry
| Pointer to corresponding directory. More...
TObject * | m_tObj
| Pointer to TObject. More...

## Detailed Description

Definition at line 10 of file RootObjAddress.h.

## Constructor & Destructor Documentation

RootHistCnv::RootObjAddress::RootObjAddress | ( |  | ) |
| inline

Dummy constructor.

Definition at line 32 of file RootObjAddress.h.

33 : m_refCount(0),
34 m_svcType(0),
35 m_clID(0),
36 m_pRegistry(0),
37 m_tObj(0)
38 {
39 m_ipar[0]=m_ipar[1]=0xFFFFFFFF;
40 }
RootHistCnv::RootObjAddress::m_pRegistry
IRegistry * m_pRegistry
Pointer to corresponding directory.
Definition: RootObjAddress.h:25
RootHistCnv::RootObjAddress::m_clID
CLID m_clID
Class id.
Definition: RootObjAddress.h:19
RootHistCnv::RootObjAddress::m_ipar
unsigned long m_ipar[2]
Integer parameters to be accessed.
Definition: RootObjAddress.h:23
RootHistCnv::RootObjAddress::m_tObj
TObject * m_tObj
Pointer to TObject.
Definition: RootObjAddress.h:27
RootHistCnv::RootObjAddress::m_refCount
unsigned long m_refCount
Definition: RootObjAddress.h:15
RootHistCnv::RootObjAddress::m_svcType
long m_svcType
Storage type.
Definition: RootObjAddress.h:17

RootHistCnv::RootObjAddress::RootObjAddress | ( | const RootObjAddress & | copy | ) |
| inline

Definition at line 42 of file RootObjAddress.h.

43 : IOpaqueAddress(copy),
44 m_refCount(0),
45 m_svcType(copy.m_svcType),
46 m_clID(copy.m_clID),
47 m_pRegistry(copy.m_pRegistry),
48 m_tObj(copy.m_tObj)
49 {
50 m_par[0] = copy.m_par[0];
51 m_par[1] = copy.m_par[1];
52 m_ipar[0] = copy.m_ipar[0];
53 m_ipar[1] = copy.m_ipar[1];
54 }
std::copy
T copy(T...args)
RootHistCnv::RootObjAddress::m_pRegistry
IRegistry * m_pRegistry
Pointer to corresponding directory.
Definition: RootObjAddress.h:25
RootHistCnv::RootObjAddress::m_clID
CLID m_clID
Class id.
Definition: RootObjAddress.h:19
RootHistCnv::RootObjAddress::m_ipar
unsigned long m_ipar[2]
Integer parameters to be accessed.
Definition: RootObjAddress.h:23
RootHistCnv::RootObjAddress::m_par
std::string m_par[2]
String parameters to be accessed.
Definition: RootObjAddress.h:21
RootHistCnv::RootObjAddress::m_tObj
TObject * m_tObj
Pointer to TObject.
Definition: RootObjAddress.h:27
RootHistCnv::RootObjAddress::m_refCount
unsigned long m_refCount
Definition: RootObjAddress.h:15
RootHistCnv::RootObjAddress::m_svcType
long m_svcType
Storage type.
Definition: RootObjAddress.h:17
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23

RootHistCnv::RootObjAddress::RootObjAddress | ( | long | svc,
|  | const CLID & | clid,
|  | const std::string & | p1 = `""`,
|  | const std::string & | p2 = `""`,
|  | unsigned long | ip1 = `0`,
|  | unsigned long | ip2 = `0`,
|  | TObject * | tObj = `0`
| ) |  |
| inline

Standard Constructor.

Definition at line 57 of file RootObjAddress.h.

64 : m_refCount(0),
65 m_svcType(svc),
66 m_clID(clid),
67 m_pRegistry(0),
68 m_tObj(tObj)
69 {
70 m_par[0] = p1;
71 m_par[1] = p2;
72 m_ipar[0] = ip1;
73 m_ipar[1] = ip2;
74 }
RootHistCnv::RootObjAddress::m_pRegistry
IRegistry * m_pRegistry
Pointer to corresponding directory.
Definition: RootObjAddress.h:25
RootHistCnv::RootObjAddress::m_clID
CLID m_clID
Class id.
Definition: RootObjAddress.h:19
RootHistCnv::RootObjAddress::m_ipar
unsigned long m_ipar[2]
Integer parameters to be accessed.
Definition: RootObjAddress.h:23
HiveAlgSequencer.p2
tuple p2
Definition: HiveAlgSequencer.py:23
RootHistCnv::RootObjAddress::m_par
std::string m_par[2]
String parameters to be accessed.
Definition: RootObjAddress.h:21
RootHistCnv::RootObjAddress::tObj
virtual TObject * tObj() const
Retrieve TObject* ptr.
Definition: RootObjAddress.h:123
RootHistCnv::RootObjAddress::m_tObj
TObject * m_tObj
Pointer to TObject.
Definition: RootObjAddress.h:27
RootHistCnv::RootObjAddress::m_refCount
unsigned long m_refCount
Definition: RootObjAddress.h:15
RootHistCnv::RootObjAddress::m_svcType
long m_svcType
Storage type.
Definition: RootObjAddress.h:17
HiveAlgSequencer.p1
tuple p1
Definition: HiveAlgSequencer.py:22

virtual RootHistCnv::RootObjAddress::~RootObjAddress | ( |  | ) |
| virtual default

Standard Destructor.

## Member Function Documentation

virtual unsigned long RootHistCnv::RootObjAddress::addRef | ( |  | ) |
| inline virtual

Add reference to object.

Implements IOpaqueAddress.

Definition at line 80 of file RootObjAddress.h.

80 {
81 return ++m_refCount;
82 }
RootHistCnv::RootObjAddress::m_refCount
unsigned long m_refCount
Definition: RootObjAddress.h:15

virtual const CLID& RootHistCnv::RootObjAddress::clID | ( |  | ) | const
| inline virtual

Access : Retrieve class ID of the link.

Implements IOpaqueAddress.

Definition at line 98 of file RootObjAddress.h.

98 {
99 return m_clID;
100 }
RootHistCnv::RootObjAddress::m_clID
CLID m_clID
Class id.
Definition: RootObjAddress.h:19

virtual const unsigned long* RootHistCnv::RootObjAddress::ipar | ( |  | ) | const
| inline virtual

Retrieve integer parameters.

Implements IOpaqueAddress.

Definition at line 118 of file RootObjAddress.h.

118 {
119 return m_ipar;
120 }
RootHistCnv::RootObjAddress::m_ipar
unsigned long m_ipar[2]
Integer parameters to be accessed.
Definition: RootObjAddress.h:23

virtual const std::string* RootHistCnv::RootObjAddress::par | ( |  | ) | const
| inline virtual

Retrieve string parameters.

Implements IOpaqueAddress.

Definition at line 114 of file RootObjAddress.h.

114 {
115 return m_par;
116 }
RootHistCnv::RootObjAddress::m_par
std::string m_par[2]
String parameters to be accessed.
Definition: RootObjAddress.h:21

virtual IRegistry* RootHistCnv::RootObjAddress::registry | ( |  | ) | const
| inline virtual

Pointer to directory.

Implements IOpaqueAddress.

Definition at line 90 of file RootObjAddress.h.

90 {
91 return m_pRegistry;
92 }
RootHistCnv::RootObjAddress::m_pRegistry
IRegistry * m_pRegistry
Pointer to corresponding directory.
Definition: RootObjAddress.h:25

virtual unsigned long RootHistCnv::RootObjAddress::release | ( |  | ) |
| inline virtual

release reference to object

Implements IOpaqueAddress.

Definition at line 84 of file RootObjAddress.h.

84 {
85 int cnt = --m_refCount;
86 if ( 0 == cnt ) delete this;
87 return cnt;
88 }
RootHistCnv::RootObjAddress::m_refCount
unsigned long m_refCount
Definition: RootObjAddress.h:15

virtual void RootHistCnv::RootObjAddress::setClID | ( | const CLID & | clid | ) |
| inline virtual

Access : Set class ID of the link.

Definition at line 102 of file RootObjAddress.h.

102 {
103 m_clID = clid;
104 }
RootHistCnv::RootObjAddress::m_clID
CLID m_clID
Class id.
Definition: RootObjAddress.h:19

virtual void RootHistCnv::RootObjAddress::setRegistry | ( | IRegistry * | pRegistry | ) |
| inline virtual

Set pointer to directory.

Implements IOpaqueAddress.

Definition at line 94 of file RootObjAddress.h.

94 {
95 m_pRegistry = pRegistry;
96 }
RootHistCnv::RootObjAddress::m_pRegistry
IRegistry * m_pRegistry
Pointer to corresponding directory.
Definition: RootObjAddress.h:25

virtual void RootHistCnv::RootObjAddress::setSvcType | ( | long | typ | ) |
| inline virtual

Access : set the storage type of the class id.

Definition at line 110 of file RootObjAddress.h.

110 {
111 m_svcType = typ;
112 }
RootHistCnv::RootObjAddress::m_svcType
long m_svcType
Storage type.
Definition: RootObjAddress.h:17

virtual long RootHistCnv::RootObjAddress::svcType | ( |  | ) | const
| inline virtual

Access : retrieve the storage type of the class id.

Implements IOpaqueAddress.

Definition at line 106 of file RootObjAddress.h.

106 {
107 return m_svcType;
108 }
RootHistCnv::RootObjAddress::m_svcType
long m_svcType
Storage type.
Definition: RootObjAddress.h:17

virtual TObject* RootHistCnv::RootObjAddress::tObj | ( |  | ) | const
| inline virtual

Retrieve TObject* ptr.

Definition at line 123 of file RootObjAddress.h.

123 {
124 return m_tObj;
125 }
RootHistCnv::RootObjAddress::m_tObj
TObject * m_tObj
Pointer to TObject.
Definition: RootObjAddress.h:27

## Member Data Documentation

CLID RootHistCnv::RootObjAddress::m_clID
| protected

Class id.

Definition at line 19 of file RootObjAddress.h.

unsigned long RootHistCnv::RootObjAddress::m_ipar[2]
| protected

Integer parameters to be accessed.

Definition at line 23 of file RootObjAddress.h.

std::string RootHistCnv::RootObjAddress::m_par[2]
| protected

String parameters to be accessed.

Definition at line 21 of file RootObjAddress.h.

IRegistry* RootHistCnv::RootObjAddress::m_pRegistry
| protected

Pointer to corresponding directory.

Definition at line 25 of file RootObjAddress.h.

unsigned long RootHistCnv::RootObjAddress::m_refCount
| protected

Definition at line 15 of file RootObjAddress.h.

long RootHistCnv::RootObjAddress::m_svcType
| protected

Storage type.

Definition at line 17 of file RootObjAddress.h.

TObject* RootHistCnv::RootObjAddress::m_tObj
| protected

Pointer to TObject.

Definition at line 27 of file RootObjAddress.h.

The documentation for this class was generated from the following file:

- RootHistCnv/src/RootObjAddress.h